Name "Mupmate"
OutFile "mup66ins.exe"

LicenseText "You must agree to this license before installing."
LicenseData "license.txt"

InstallDir "$PROGRAMFILES\mupmate"
; InstallDirRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Arkkra\Mupmate" ""

Page license
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

Section "" ; (default section)
SetOutPath "$INSTDIR"
; install the files
File "mup.exe"
File "mupdisp.exe"
File "dos4gw.exe"
File "mupmate.exe"
File "mkmupfnt.exe"
File "mupprnt.bat"
File "readme2.txt"
File "license.txt"
File "faq.html"
File "overview.txt"
File "mupfeat.txt"
File "whatsnew.html"
File "oddeven.ps"
File "uguide.ps"
File "mupqref.ps"
File "mup.ps"
File "mupdisp.ps"
File "mupprnt.ps"
File "mkmupfnt.ps"
File "mupmate.ps"
File "star.mup"
File "sample.mup"
File "template.mup"
File "star.ps"
File "sample.ps"
File "tabstems"
File "cyrillic"
File "grids"
File "guitar"
File "quarterstep_accs"
File "helmholtz_accs"
File "gen_midi"
File "mup.vim"
File "usercomm.html"
File "mup2smufl.json"
File "mup2smufl.txt"
File "smufl2mup.json"
File /r "uguide"

; registry keys that Windows needs
WriteRegStr HKEY_LOCAL_MACHINE "SOFTWARE\Arkkra\Mupmate" "" "$INSTDIR"
WriteRegStr HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Mupmate" "DisplayName" "Mupmate"
WriteRegStr HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Mupmate" "UninstallString" '"$INSTDIR\unmupmate.exe"'

; set up the ability to double click .mup files to start Mupmate
WriteRegStr HKEY_CLASSES_ROOT ".mup" "" "Mup.Input"
WriteRegStr HKEY_CLASSES_ROOT "Mup.Input" "" "Mup Input File"
WriteRegStr HKEY_CLASSES_ROOT "Mup.Input\DefaultIcon" "" "$INSTDIR\mupmate.exe,0"
WriteRegStr HKEY_CLASSES_ROOT "Mup.Input\shell" "" "open"
WriteRegStr HKEY_CLASSES_ROOT "Mup.Input\shell\open" "" ""
WriteRegStr HKEY_CLASSES_ROOT "Mup.Input\shell\open\command" "" "$INSTDIR\mupmate.exe %1"

; under the start/programs menu, put Arkkra, and under there, Mupmate and
; Uninstall Mupmate
CreateDirectory "$SMPROGRAMS\Arkkra"
CreateShortCut "$SMPROGRAMS\Arkkra\Mupmate.lnk" "$INSTDIR\mupmate.exe"
CreateShortCut "$SMPROGRAMS\Arkkra\Uninstall Mupmate.lnk" "$INSTDIR\unmupmate.exe"

; write out the uninstaller
WriteUninstaller "$INSTDIR\unmupmate.exe"
SectionEnd ; end of default section

; begin uninstall settings/section
UninstallText "This will uninstall Mupmate from your system"

Section Uninstall
; We uninstall the files one by one instead of using wild cards, because we
; want to avoid deleting any files the user might have manually put there.
Delete "$INSTDIR\mup.exe"
Delete "$INSTDIR\mupdisp.exe"
Delete "$INSTDIR\dos4gw.exe"
Delete "$INSTDIR\mupmate.exe"
Delete "$INSTDIR\mkmupfnt.exe"
Delete "$INSTDIR\mupprnt.bat"
Delete "$INSTDIR\readme2.txt"
Delete "$INSTDIR\license.txt"
Delete "$INSTDIR\faq.html"
Delete "$INSTDIR\overview.txt"
Delete "$INSTDIR\mupfeat.txt"
Delete "$INSTDIR\whatsnew.html"
Delete "$INSTDIR\oddeven.ps"
Delete "$INSTDIR\uguide.ps"
Delete "$INSTDIR\mupqref.ps"
Delete "$INSTDIR\mup.ps"
Delete "$INSTDIR\mupdisp.ps"
Delete "$INSTDIR\mupprnt.ps"
Delete "$INSTDIR\mkmupfnt.ps"
Delete "$INSTDIR\mupmate.ps"
Delete "$INSTDIR\star.mup"
Delete "$INSTDIR\sample.mup"
Delete "$INSTDIR\template.mup"
Delete "$INSTDIR\star.ps"
Delete "$INSTDIR\sample.ps"
Delete "$INSTDIR\tabstems"
Delete "$INSTDIR\cyrillic"
Delete "$INSTDIR\grids"
Delete "$INSTDIR\guitar"
Delete "$INSTDIR\quarterstep_accs"
Delete "$INSTDIR\helmholtz_accs"
Delete "$INSTDIR\gen_midi"
Delete "$INSTDIR\mup.vim"
Delete "$INSTDIR\usercomm.html"
Delete "$INSTDIR\mup2smufl.json"
Delete "$INSTDIR\mup2smufl.txt"
Delete "$INSTDIR\smufl2mup.json"
Delete "$INSTDIR\uguide\adjust.htm"
Delete "$INSTDIR\uguide\altinp.htm"
Delete "$INSTDIR\uguide\autocue.htm"
Delete "$INSTDIR\uguide\bars.htm"
Delete "$INSTDIR\uguide\basics.htm"
Delete "$INSTDIR\uguide\brackmac.htm"
Delete "$INSTDIR\uguide\breaks.htm"
Delete "$INSTDIR\uguide\breathmk.htm"
Delete "$INSTDIR\uguide\cadenza.htm"
Delete "$INSTDIR\uguide\chant.htm"
Delete "$INSTDIR\uguide\chordinp.htm"
Delete "$INSTDIR\uguide\chrdattr.htm"
Delete "$INSTDIR\uguide\cmdargs.htm"
Delete "$INSTDIR\uguide\contexts.htm"
Delete "$INSTDIR\uguide\cres.htm"
Delete "$INSTDIR\uguide\crossbar.htm"
Delete "$INSTDIR\uguide\crossst.htm"
Delete "$INSTDIR\uguide\debug.htm"
Delete "$INSTDIR\uguide\exit.htm"
Delete "$INSTDIR\uguide\ext_1.gif"
Delete "$INSTDIR\uguide\ext_2.gif"
Delete "$INSTDIR\uguide\ext_3.gif"
Delete "$INSTDIR\uguide\ext_4.gif"
Delete "$INSTDIR\uguide\fontfile.htm"
Delete "$INSTDIR\uguide\gensyn.htm"
Delete "$INSTDIR\uguide\gradmidi.htm"
Delete "$INSTDIR\uguide\headfoot.htm"
Delete "$INSTDIR\uguide\heeltoe.htm"
Delete "$INSTDIR\uguide\ichdattr.htm"
Delete "$INSTDIR\uguide\ifclause.htm"
Delete "$INSTDIR\uguide\include.htm"
Delete "$INSTDIR\uguide\index.htm"
Delete "$INSTDIR\uguide\intro.htm"
Delete "$INSTDIR\uguide\invisbar.htm"
Delete "$INSTDIR\uguide\linecurv.htm"
Delete "$INSTDIR\uguide\lyrics.htm"
Delete "$INSTDIR\uguide\lyrtag.htm"
Delete "$INSTDIR\uguide\macros.htm"
Delete "$INSTDIR\uguide\mantup.htm"
Delete "$INSTDIR\uguide\manual.htm"
Delete "$INSTDIR\uguide\midi.htm"
Delete "$INSTDIR\uguide\midmeas.htm"
Delete "$INSTDIR\uguide\mixtsig.htm"
Delete "$INSTDIR\uguide\mugex100.gif"
Delete "$INSTDIR\uguide\mugex101.gif"
Delete "$INSTDIR\uguide\mugex102.gif"
Delete "$INSTDIR\uguide\mugex103.gif"
Delete "$INSTDIR\uguide\mugex104.gif"
Delete "$INSTDIR\uguide\mugex105.gif"
Delete "$INSTDIR\uguide\mugex106.gif"
Delete "$INSTDIR\uguide\mugex107.gif"
Delete "$INSTDIR\uguide\mugex108.gif"
Delete "$INSTDIR\uguide\mugex109.gif"
Delete "$INSTDIR\uguide\mugex10.gif"
Delete "$INSTDIR\uguide\mugex110.gif"
Delete "$INSTDIR\uguide\mugex111.gif"
Delete "$INSTDIR\uguide\mugex112.gif"
Delete "$INSTDIR\uguide\mugex113.gif"
Delete "$INSTDIR\uguide\mugex114.gif"
Delete "$INSTDIR\uguide\mugex115.gif"
Delete "$INSTDIR\uguide\mugex116.gif"
Delete "$INSTDIR\uguide\mugex117.gif"
Delete "$INSTDIR\uguide\mugex118.gif"
Delete "$INSTDIR\uguide\mugex119.gif"
Delete "$INSTDIR\uguide\mugex11.gif"
Delete "$INSTDIR\uguide\mugex120.gif"
Delete "$INSTDIR\uguide\mugex121.gif"
Delete "$INSTDIR\uguide\mugex122.gif"
Delete "$INSTDIR\uguide\mugex123.gif"
Delete "$INSTDIR\uguide\mugex124.gif"
Delete "$INSTDIR\uguide\mugex12.gif"
Delete "$INSTDIR\uguide\mugex13.gif"
Delete "$INSTDIR\uguide\mugex14.gif"
Delete "$INSTDIR\uguide\mugex15.gif"
Delete "$INSTDIR\uguide\mugex16.gif"
Delete "$INSTDIR\uguide\mugex17.gif"
Delete "$INSTDIR\uguide\mugex18.gif"
Delete "$INSTDIR\uguide\mugex19.gif"
Delete "$INSTDIR\uguide\mugex20.gif"
Delete "$INSTDIR\uguide\mugex21.gif"
Delete "$INSTDIR\uguide\mugex22.gif"
Delete "$INSTDIR\uguide\mugex23.gif"
Delete "$INSTDIR\uguide\mugex24.gif"
Delete "$INSTDIR\uguide\mugex25.gif"
Delete "$INSTDIR\uguide\mugex26.gif"
Delete "$INSTDIR\uguide\mugex27.gif"
Delete "$INSTDIR\uguide\mugex28.gif"
Delete "$INSTDIR\uguide\mugex29.gif"
Delete "$INSTDIR\uguide\mugex2.gif"
Delete "$INSTDIR\uguide\mugex30.gif"
Delete "$INSTDIR\uguide\mugex31.gif"
Delete "$INSTDIR\uguide\mugex32.gif"
Delete "$INSTDIR\uguide\mugex33.gif"
Delete "$INSTDIR\uguide\mugex34.gif"
Delete "$INSTDIR\uguide\mugex35.gif"
Delete "$INSTDIR\uguide\mugex36.gif"
Delete "$INSTDIR\uguide\mugex37.gif"
Delete "$INSTDIR\uguide\mugex38.gif"
Delete "$INSTDIR\uguide\mugex39.gif"
Delete "$INSTDIR\uguide\mugex3.gif"
Delete "$INSTDIR\uguide\mugex40.gif"
Delete "$INSTDIR\uguide\mugex41.gif"
Delete "$INSTDIR\uguide\mugex42.gif"
Delete "$INSTDIR\uguide\mugex43.gif"
Delete "$INSTDIR\uguide\mugex44.gif"
Delete "$INSTDIR\uguide\mugex45.gif"
Delete "$INSTDIR\uguide\mugex46.gif"
Delete "$INSTDIR\uguide\mugex47.gif"
Delete "$INSTDIR\uguide\mugex48.gif"
Delete "$INSTDIR\uguide\mugex49.gif"
Delete "$INSTDIR\uguide\mugex4.gif"
Delete "$INSTDIR\uguide\mugex50.gif"
Delete "$INSTDIR\uguide\mugex51.gif"
Delete "$INSTDIR\uguide\mugex52.gif"
Delete "$INSTDIR\uguide\mugex53.gif"
Delete "$INSTDIR\uguide\mugex54.gif"
Delete "$INSTDIR\uguide\mugex55.gif"
Delete "$INSTDIR\uguide\mugex56.gif"
Delete "$INSTDIR\uguide\mugex57.gif"
Delete "$INSTDIR\uguide\mugex58.gif"
Delete "$INSTDIR\uguide\mugex59.gif"
Delete "$INSTDIR\uguide\mugex5.gif"
Delete "$INSTDIR\uguide\mugex60.gif"
Delete "$INSTDIR\uguide\mugex61.gif"
Delete "$INSTDIR\uguide\mugex62.gif"
Delete "$INSTDIR\uguide\mugex63.gif"
Delete "$INSTDIR\uguide\mugex64.gif"
Delete "$INSTDIR\uguide\mugex65.gif"
Delete "$INSTDIR\uguide\mugex66.gif"
Delete "$INSTDIR\uguide\mugex67.gif"
Delete "$INSTDIR\uguide\mugex68.gif"
Delete "$INSTDIR\uguide\mugex69.gif"
Delete "$INSTDIR\uguide\mugex6.gif"
Delete "$INSTDIR\uguide\mugex70.gif"
Delete "$INSTDIR\uguide\mugex71.gif"
Delete "$INSTDIR\uguide\mugex72.gif"
Delete "$INSTDIR\uguide\mugex73.gif"
Delete "$INSTDIR\uguide\mugex74.gif"
Delete "$INSTDIR\uguide\mugex75.gif"
Delete "$INSTDIR\uguide\mugex76.gif"
Delete "$INSTDIR\uguide\mugex77.gif"
Delete "$INSTDIR\uguide\mugex78.gif"
Delete "$INSTDIR\uguide\mugex79.gif"
Delete "$INSTDIR\uguide\mugex7.gif"
Delete "$INSTDIR\uguide\mugex80.gif"
Delete "$INSTDIR\uguide\mugex81.gif"
Delete "$INSTDIR\uguide\mugex82.gif"
Delete "$INSTDIR\uguide\mugex83.gif"
Delete "$INSTDIR\uguide\mugex84.gif"
Delete "$INSTDIR\uguide\mugex85.gif"
Delete "$INSTDIR\uguide\mugex86.gif"
Delete "$INSTDIR\uguide\mugex87.gif"
Delete "$INSTDIR\uguide\mugex88.gif"
Delete "$INSTDIR\uguide\mugex89.gif"
Delete "$INSTDIR\uguide\mugex8.gif"
Delete "$INSTDIR\uguide\mugex90.gif"
Delete "$INSTDIR\uguide\mugex91.gif"
Delete "$INSTDIR\uguide\mugex92.gif"
Delete "$INSTDIR\uguide\mugex93.gif"
Delete "$INSTDIR\uguide\mugex94.gif"
Delete "$INSTDIR\uguide\mugex95.gif"
Delete "$INSTDIR\uguide\mugex96.gif"
Delete "$INSTDIR\uguide\mugex97.gif"
Delete "$INSTDIR\uguide\mugex98.gif"
Delete "$INSTDIR\uguide\mugex99.gif"
Delete "$INSTDIR\uguide\mugex9.gif"
Delete "$INSTDIR\uguide\multirst.htm"
Delete "$INSTDIR\uguide\multsong.htm"
Delete "$INSTDIR\uguide\mupindex.htm"
Delete "$INSTDIR\uguide\muschar.gif"
Delete "$INSTDIR\uguide\music.htm"
Delete "$INSTDIR\uguide\muspaper.htm"
Delete "$INSTDIR\uguide\mussym.htm"
Delete "$INSTDIR\uguide\nestmac.htm"
Delete "$INSTDIR\uguide\newscore.htm"
Delete "$INSTDIR\uguide\noteattr.htm"
Delete "$INSTDIR\uguide\octave.htm"
Delete "$INSTDIR\uguide\param.htm"
Delete "$INSTDIR\uguide\pedal.htm"
Delete "$INSTDIR\uguide\phrase.htm"
Delete "$INSTDIR\uguide\pianored.htm"
Delete "$INSTDIR\uguide\prnttext.htm"
Delete "$INSTDIR\uguide\pscoord.htm"
Delete "$INSTDIR\uguide\pstools.htm"
Delete "$INSTDIR\uguide\roll.htm"
Delete "$INSTDIR\uguide\running.htm"
Delete "$INSTDIR\uguide\shaped.htm"
Delete "$INSTDIR\uguide\sharehd.htm"
Delete "$INSTDIR\uguide\slantxt.htm"
Delete "$INSTDIR\uguide\slashmrk.htm"
Delete "$INSTDIR\uguide\stuff.htm"
Delete "$INSTDIR\uguide\tabstaff.htm"
Delete "$INSTDIR\uguide\tags.htm"
Delete "$INSTDIR\uguide\tempochg.htm"
Delete "$INSTDIR\uguide\textmark.htm"
Delete "$INSTDIR\uguide\textstr.htm"
Delete "$INSTDIR\uguide\tieacc.htm"
Delete "$INSTDIR\uguide\trillacc.htm"
Delete "$INSTDIR\uguide\trnspose.htm"
Delete "$INSTDIR\uguide\tuning.htm"
Delete "$INSTDIR\uguide\tuplets.htm"
Delete "$INSTDIR\uguide\udefsym.htm"
Delete "$INSTDIR\uguide\utilpgms.htm"
Delete "$INSTDIR\uguide\verses.htm"

; delete other files that probably got created later, and directories
Delete "$INSTDIR\mup.ok"
Delete "$INSTDIR\uguide\Thumbs.db"
RMDir  "$INSTDIR\uguide"
Delete "$INSTDIR\unmupmate.exe"
Delete "$APPDATA\arkkra.com\mupmate.prefs"
RMDir  "$APPDATA\arkkra.com"
RMDir  "$INSTDIR"
Delete "$SMPROGRAMS\Arkkra\Mupmate.lnk"
Delete "$SMPROGRAMS\Arkkra\Uninstall Mupmate.lnk"
RMDir  "$SMPROGRAMS\Arkkra"

; delete registry keys
DeleteRegKey HKEY_CLASSES_ROOT ".mup"
DeleteRegKey HKEY_CLASSES_ROOT "Mup.Input"
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Arkkra\Mupmate"
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Mupmate"
SectionEnd ; end of uninstall section
