/*
 Copyright (c) 1995-2017  by Arkkra Enterprises.
 All rights reserved.

 Redistribution and use in source and binary forms,
 with or without modification, are permitted provided that
 the following conditions are met:

 1. Redistributions of source code must retain
 the above copyright notice, this list of conditions
 and the following DISCLAIMER.

 2. Redistributions in binary form must reproduce the above
 copyright notice, this list of conditions and
 the following DISCLAIMER in the documentation and/or
 other materials provided with the distribution.

 3. Any additions, deletions, or changes to the original files
 must be clearly indicated in accompanying documentation,
 including the reasons for the changes,
 and the names of those who made the modifications.

	DISCLAIMER

 THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY
 AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT,
 INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
 * Define the list of all the special music symbols.
 */

/* The following set of symbols is in font FONT_MUSIC.
 * Mapping between name and number is done via Sym2code_table[0][].
 */
#define C_GCLEF 	(32)	 /* G clef (treble clef) */
#define C_FCLEF 	(33)	 /* F clef (bass clef) */
#define C_CCLEF 	(34)	 /* C clef (alto, tenor, etc. clef) */
#define C_DBLWHOLE 	(35)	 /* double whole note */
#define C_ALTDBLWHOLE 	(36)	 /* alternate form of double whole note */
#define C_1N 		(37)	 /* whole note */
#define C_2N 		(38)	 /* half note head */
#define C_4N 		(39)	 /* quarter (and shorter) note head */
#define C_UPFLAG 	(40)	 /* upward flag */
#define C_DNFLAG 	(41)	 /* downward flag */
#define C_QWHREST 	(42)	 /* quad rest */
#define C_DWHREST 	(43)	 /* double whole rest */
#define C_1REST 	(44)	 /* whole rest */
#define C_2REST 	(45)	 /* half rest */
#define C_4REST 	(46)	 /* quarter rest */
#define C_8REST 	(47)	 /* eighth rest */
#define C_16REST 	(48)	 /* sixteenth rest */
#define C_32REST 	(49)	 /* thirty-second rest */
#define C_64REST 	(50)	 /* sixty-fourth rest */
#define C_128REST 	(51)	 /* 128th rest */
#define C_256REST 	(52)	 /* 256th rest */
#define C_LL1REST 	(53)	 /* legerline-less version of whole rest */
#define C_LL2REST 	(54)	 /* legerline-less version of half rest */
#define C_DOT 		(55)	 /* dot, as for after a note */
#define C_NAT 		(56)	 /* natural sign (n) */
#define C_SHARP 	(57)	 /* sharp sign (#) */
#define C_FLAT 		(58)	 /* flat sign (&) */
#define C_DBLSHARP 	(59)	 /* double sharp */
#define C_DBLFLAT 	(60)	 /* double flat */
#define C_XNOTE 	(61)	 /* X-shaped note head */
#define C_DWHDIAMOND 	(62)	 /* double-whole diamond shaped note */
#define C_DIAMOND 	(63)	 /* diamond-shaped note head */
#define C_FILLDIAMOND 	(64)	 /* filled diamond note head */
#define C_UP2N 		(65)	 /* half note with stem up */
#define C_DN2N 		(66)	 /* half note with stem down */
#define C_UP4N 		(67)	 /* quarter note with stem up */
#define C_DN4N 		(68)	 /* quarter note with stem down */
#define C_COM 		(69)	 /* common time */
#define C_CUT 		(70)	 /* cut time */
#define C_BEGPED 	(71)	 /* begin pedal */
#define C_PEDAL 	(72)	 /* pedal up/down */
#define C_ENDPED 	(73)	 /* end pedal */
#define C_DNBOW 	(74)	 /* down bow */
#define C_UPBOW 	(75)	 /* up bow */
#define C_WEDGE 	(76)	 /* wedge mark */
#define C_UWEDGE 	(77)	 /* upside-down wedge */
#define C_FERM 		(78)	 /* fermata */
#define C_UFERM 	(79)	 /* upside-down fermata */
#define C_SIGN 		(80)	 /* for D.S. */
#define C_CODA 		(81)	 /* the + over circle for jumping to coda */
#define C_MOR 		(82)	 /* mordent */
#define C_INVMOR 	(83)	 /* inverted mordent */
#define C_TURN 		(84)	 /* "turn" ornament */
#define C_INVTURN 	(85)	 /* inverted turn */
#define C_ACC_GT 	(86)	 /* accent that looks like > */
#define C_ACC_HAT 	(87)	 /* accent that looks like ^ */
#define C_ACC_UHAT 	(88)	 /* upside down hat accent */
#define C_TR 		(89)	 /* trill */
#define C_LEG 		(90)	 /* legato mark */
#define C_RR 		(91)	 /* railroad tracks */
#define C_DIM 		(92)	 /* diminished (small circle) */
#define C_HALFDIM 	(93)	 /* half diminished (small circle with slash) */
#define C_TRIANGLE 	(94)	 /* triangle, as for a major 7th chord */
#define C_MEASRPT 	(95)	 /* measure repeat */
#define C_COPYRIGHT 	(96)	 /* c in circle */
#define C_UP8N 		(97)	 /* 1/8 note with stem up */
#define C_DN8N 		(98)	 /* 1/8 note with stem down */
#define C_UP16N 	(99)	 /* 1/16 note with stem up */
#define C_DN16N 	(100)	 /* 1/16 note with stem down */
#define C_UP32N 	(101)	 /* 1/32 note with stem up */
#define C_DN32N 	(102)	 /* 1/32 note with stem down */
#define C_UP64N 	(103)	 /* 1/64 note with stem up */
#define C_DN64N 	(104)	 /* 1/64 note with stem down */
#define C_UP128N 	(105)	 /* 1/128 note with stem up */
#define C_DN128N 	(106)	 /* 1/128 note with stem down */
#define C_UP256N 	(107)	 /* 1/256 note with stem up */
#define C_DN256N 	(108)	 /* 1/256 note with stem down */

/* The following set of symbols is in font FONT_MUSIC2.
 * Mapping between name and number is done via Sym2code_table[1][].
 */
#define C_DWHRIGHTTRIANGLE 	(32)	 /* double whole right triangle */
#define C_RIGHTTRIANGLE 	(33)	 /* hollow right triangle */
#define C_FILLRIGHTTRIANGLE 	(34)	 /* filled right triangle */
#define C_UDWHRIGHTTRIANGLE 	(35)	 /* upside down double whole right tri*/
#define C_URIGHTTRIANGLE 	(36)	 /* upside down hollow right triangle */
#define C_UFILLRIGHTTRIANGLE 	(37)	 /* upside down filled right triangle */
#define C_DWHRECTANGLE 	(38)	 /* double whole rectangle */
#define C_RECTANGLE 	(39)	 /* hollow rectangle */
#define C_FILLRECTANGLE 	(40)	 /* filled rectangle */
#define C_DWHISOSTRIANGLE 	(41)	 /* double whole isosceles triangle */
#define C_ISOSTRIANGLE 	(42)	 /* hollow isosceles triangle */
#define C_FILLISOSTRIANGLE 	(43)	 /* filled isosceles triangle */
#define C_DWHPIEWEDGE 	(44)	 /* double whole pie wedge */
#define C_PIEWEDGE 	(45)	 /* hollow pie wedge */
#define C_FILLPIEWEDGE 	(46)	 /* filled pie wedge */
#define C_DWHSEMICIRCLE 	(47)	 /* double whole semicircle */
#define C_SEMICIRCLE 	(48)	 /* hollow semicircle */
#define C_FILLSEMICIRCLE 	(49)	 /* filled semicircle */
#define C_DWHSLASHHEAD 	(50)	 /* double whole slash note head */
#define C_SLASHHEAD 	(51)	 /* hollow slash note head */
#define C_FILLSLASHHEAD 	(52)	 /* filled slash note head */
#define C_BLANKHEAD 	(53)	 /* blank note head */
